New issue

Have a question about this project? Sign up for a free GitHub account to open an issue and contact its maintainers and the community.

By clicking “Sign up for GitHub”, you agree to our terms of service and privacy statement. We’ll occasionally send you account related emails.

Already on GitHub? Sign in to your account

Can not install #1049

Closed
senaphet opened this Issue Sep 7, 2017 · 4 comments

Comments

Projects
None yet
3 participants
@senaphet

senaphet commented Sep 7, 2017

During installation step by step, the installation remains blocked after "system requirement".
The next step is displayed but contains no information, no fields, no buttons.

I get the impression that the autoconf.php file does not create.

The prerequisites seem good to me. I do this installation on a Gandi Simple Hosting server.

Permissions seem good (755).

Do you have any idea about the origin of blocking?

Kimai version [for example: dev 1.1.0.1389|github master|github develop]

Github master

Tanks

@senaphet

This comment has been minimized.

Show comment
Hide comment
@senaphet

senaphet Sep 7, 2017

The local installation focuses properly.
The copying to the remote server of the autoconf file (By obviously modifying the connection information to the database. A doubt about $ password_salt.) And database tables give a blank screen to the opening of Kimai.

senaphet commented Sep 7, 2017

The local installation focuses properly.
The copying to the remote server of the autoconf file (By obviously modifying the connection information to the database. A doubt about $ password_salt.) And database tables give a blank screen to the opening of Kimai.

@kevinpapst

This comment has been minimized.

Show comment
Hide comment
@kevinpapst

kevinpapst Dec 16, 2017

Member

Sorry for the late response. Kimai needs write permissions to some fodler for creating cache files and such. That is checked during the installation. If you copy stuff over manually, you have to make sure that everything is setup properly on your own.
Please try changing permissions recursively to 777 for a first test if that is your problem.

Member

kevinpapst commented Dec 16, 2017

Sorry for the late response. Kimai needs write permissions to some fodler for creating cache files and such. That is checked during the installation. If you copy stuff over manually, you have to make sure that everything is setup properly on your own.
Please try changing permissions recursively to 777 for a first test if that is your problem.

@rasusmilch

This comment has been minimized.

Show comment
Hide comment
@rasusmilch

rasusmilch Mar 29, 2018

With latest stable 1.2.2 I get the same issue. This error was found in the log

[Wed Mar 28 22:37:41.923961 2018] [fcgid:warn] [pid 12476] [client xx.xx.xx.xx:xxxxx] mod_fcgid: stderr: PHP Fatal error:  Can't use method return value in write context in ../kimai/includes/func.php on line 344, referer: http://www.example.com/kimai/installer/index.php

I'll be trying the git version shortly.

rasusmilch commented Mar 29, 2018

With latest stable 1.2.2 I get the same issue. This error was found in the log

[Wed Mar 28 22:37:41.923961 2018] [fcgid:warn] [pid 12476] [client xx.xx.xx.xx:xxxxx] mod_fcgid: stderr: PHP Fatal error:  Can't use method return value in write context in ../kimai/includes/func.php on line 344, referer: http://www.example.com/kimai/installer/index.php

I'll be trying the git version shortly.

@kevinpapst

This comment has been minimized.

Show comment
Hide comment
@kevinpapst

kevinpapst Mar 29, 2018

Member

You are (very likely) using an incompatible PHP version. We raised the requirement to PHP 5.5.
And please open a new issue

Member

kevinpapst commented Mar 29, 2018

You are (very likely) using an incompatible PHP version. We raised the requirement to PHP 5.5.
And please open a new issue

@kevinpapst kevinpapst closed this Mar 29, 2018

Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment